"""Removed is_draft and added status

Revision ID: 6517970c957f
Revises: 2728bc95eaeb
Create Date: 2020-07-28 15:40:46.212763

"""
from alembic import op
import sqlalchemy as sa


# revision identifiers, used by Alembic.
revision = "6517970c957f"
down_revision = "2728bc95eaeb"
branch_labels = None
depends_on = None


def upgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    with op.batch_alter_table("leaves", schema=None) as batch_op:
        batch_op.add_column(sa.Column("status", sa.String(), nullable=False))
        batch_op.drop_column("is_draft")

    # ### end Alembic commands ###


def downgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    with op.batch_alter_table("leaves", schema=None) as batch_op:
        batch_op.add_column(
            sa.Column("is_draft", sa.BOOLEAN(), autoincrement=False, nullable=False)
        )
        batch_op.drop_column("status")

    # ### end Alembic commands ###
